<?php
Kirki::add_section( 'header_settings_section', array(
    'title'          => esc_html__( 'Header Settings', 'author-portfolio' ),
    'description'    => esc_html__( 'Customize Site Header section', 'author-portfolio' ),
    'panel'          => 'author_portfolio_global_panel',
    'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'author_portfolio_config', [
    'type'        => 'background',
    'settings'    => 'header_background',
    'label'       => esc_html__( 'Header Background', 'author-portfolio' ),
    'description' => esc_html__( 'Define The Background Of Header Section', 'author-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     => [
        'background-color'      => '#ffffff',
    ],
    'transport'   => 'auto',
    'output'      => [
        [
            'element' => 'header.site-header',
        ],
    ],
] );

Kirki::add_field( 'author_portfolio_config', [
    'type'        => 'custom',
    'settings'    => 'header_typography_sep',
    'section'     => 'header_settings_section',
    'default'         => '<br><br><h3 style="padding:10px 10px; margin: 20px 0 10px 0; background:#fff; margin:0;">' . __( 'Header Typography', 'author-portfolio' ) . '</h3>',
] );

Kirki::add_field( 'author_portfolio_config', [
    'type'        => 'radio-buttonset',
    'settings'    => 'header_typography_parent',
    'section'     => 'header_settings_section',
    'default'     => 'site_identity_typography',
    'choices'     => [
        'site_identity_typography'   => esc_html__( 'Site Title', 'author-portfolio' ),
        'menu'   => esc_html__( 'Menu', 'author-portfolio' ),
    ],

] );

Kirki::add_field( 'author_portfolio_config', [
	'type'        => 'typography',
	'settings'    => 'header_title_typography',
	'label'       => esc_html__( 'Site Title Typography', 'author-portfolio' ),
	'section'     => 'header_settings_section',
	'default'     => [
		'font-family'    => 'Roboto',
		'variant'        => '700',
		'font-size'      => '1.25rem',
		'line-height'    => '1.6',
		'letter-spacing' => '0px',
		'color'          => '#000000',
		'text-transform' => 'none',
		'text-align'     => 'left',
	],
    'active_callback' => [
        [
            'setting'  => 'header_typography_parent',
            'operator' => '==',
            'value'    => 'site_identity_typography',
        ]
    ],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.site-branding .site-title a',
		],
	],
] );

Kirki::add_field( 'author_portfolio_config', [
	'type'        => 'typography',
	'settings'    => 'header_menu_typography',
	'label'       => esc_html__( 'Menu Typography', 'author-portfolio' ),
	'section'     => 'header_settings_section',
	'default'     => [
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '1rem',
		'line-height'    => '1.6',
		'letter-spacing' => '0px',
		'color'          => '#000000',
		'text-transform' => 'none',
	],
    'active_callback' => [
        [
            'setting'  => 'header_typography_parent',
            'operator' => '==',
            'value'    => 'menu',
        ]
    ],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '#cssmenu>ul>li>a',
		],
	],
] );

Kirki::add_field( 'author_portfolio_config', [
    'type'        => 'color',
    'settings'    => 'header_menu_hover_color',
    'label'       => __( 'Menu Hover Color', 'author-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     => '#fb4747',
    'transport'   => 'auto',
    'output' => array(
        array(
            'element'  => '#cssmenu>ul>li:hover>a',
            'property' => 'color',
        ),
    ),
    'active_callback' => [
        [
            'setting'  => 'header_typography_parent',
            'operator' => '==',
            'value'    => 'menu',
        ]
    ],
] );

Kirki::add_field( 'author_portfolio_config', [
    'type'        => 'color',
    'settings'    => 'header_sub_menu_hover_color',
    'label'       => __( 'Sub Menu Hover Color', 'author-portfolio' ),
    'section'     => 'header_settings_section',
    'default'     => '#fb4747',
    'transport'   => 'auto',
    'output' => array(
        array(
            'element'  => '#cssmenu ul ul li:hover>a, #cssmenu ul ul li a:hover',
            'property' => 'color',
        ),
    ),
    'active_callback' => [
        [
            'setting'  => 'header_typography_parent',
            'operator' => '==',
            'value'    => 'menu',
        ]
    ],
] );